PrefabFiles = {
	"gbe",
	
	"steamba",
}

Assets = {
    Asset( "IMAGE", "images/saveslot_portraits/gbe.tex" ),
    Asset( "ATLAS", "images/saveslot_portraits/gbe.xml" ),

    Asset( "IMAGE", "images/selectscreen_portraits/gbe.tex" ),
    Asset( "ATLAS", "images/selectscreen_portraits/gbe.xml" ),
	
	Asset( "IMAGE", "images/selectscreen_portraits/gbe_silho.tex" ),
    Asset( "ATLAS", "images/selectscreen_portraits/gbe_silho.xml" ),

    Asset( "IMAGE", "bigportraits/gbe.tex" ),
    Asset( "ATLAS", "bigportraits/gbe.xml" ),
	
	Asset( "IMAGE", "images/map_icons/gbe.tex" ),
	Asset( "ATLAS", "images/map_icons/gbe.xml" ),
	
	Asset( "IMAGE", "images/avatars/avatar_gbe.tex" ),
    Asset( "ATLAS", "images/avatars/avatar_gbe.xml" ),
	
	Asset( "IMAGE", "images/avatars/avatar_ghost_gbe.tex" ),
    Asset( "ATLAS", "images/avatars/avatar_ghost_gbe.xml" ),
	
	Asset( "IMAGE", "images/map_icons/steamba.tex" ),
	Asset( "ATLAS", "images/map_icons/steamba.xml" ),
	
	Asset("SOUNDPACKAGE", "sound/gbe.fev"),
    Asset("SOUND", "sound/gbe.fsb"),

}

RemapSoundEvent( "dontstarve/characters/gbe/death_voice", "gbe/characters/gbe/death_voice" )
RemapSoundEvent( "dontstarve/characters/gbe/hurt", "gbe/characters/gbe/hurt" )
RemapSoundEvent( "dontstarve/characters/gbe/talk_LP", "gbe/characters/gbe/talk_LP" )

GLOBAL.STRINGS.NAMES.STEAMBA = "Steam Ban-Hammer"
GLOBAL.STRINGS.CHARACTERS.GENERIC.DESCRIBE.STEAMBA = "This is the mighty hammer that Gabe uses to ban people from Steam."

local require = GLOBAL.require
local STRINGS = GLOBAL.STRINGS

-- The character select screen lines
STRINGS.CHARACTER_TITLES.gbe = "Gaben the PC Master Race Lord"
STRINGS.CHARACTER_NAMES.gbe = "Gaben"
STRINGS.CHARACTER_DESCRIPTIONS.gbe = "Gaben, tired of receiving emails about the number 3 decided to retire to this world."
STRINGS.CHARACTER_QUOTES.gbe = "\"If a three is mentioned and no one is around to hear it, does it exist? \""

-- Custom speech strings
STRINGS.CHARACTERS.GBE = require "speech_gbe"

-- The character's name as appears in-game 
STRINGS.NAMES.GBE = "Gaben"

-- The default responses of examining the character
STRINGS.CHARACTERS.GENERIC.DESCRIBE.GBE = 
{
	GENERIC = "Nope, it's just him, Gaben!",
	ATTACKER = "Gaben pls!",
	MURDERER = "Gaben what are you doing?",
	REVIVER = "It was worth the wait!",
	GHOST = "Gaben,these things..they take time.",
}

-- Let the game know character is male, female, or robot
table.insert(GLOBAL.CHARACTER_GENDERS.MALE, "gbe")


AddMinimapAtlas("images/map_icons/gbe.xml")
AddMinimapAtlas("images/map_icons/steamba.xml")

AddModCharacter("gbe")