local assets=
{ 
    Asset("ANIM", "anim/steamba.zip"),
    Asset("ANIM", "anim/swap_steamba.zip"), 

    Asset("ATLAS", "images/inventoryimages/steamba.xml"),
    Asset("IMAGE", "images/inventoryimages/steamba.tex"),
}

local prefabs = 
{
}

local function fn(colour)

    --local function onfinished(inst)
    --inst:Remove()
    --end

    local function OnEquip(inst, owner) 
        --owner.AnimState:OverrideSymbol("swap_object", "swap_steamba", "purplestaff")
        owner.AnimState:OverrideSymbol("swap_object", "swap_steamba", "wand")
        owner.AnimState:Show("ARM_carry") 
        owner.AnimState:Hide("ARM_normal") 
		
    end

    local function OnUnequip(inst, owner) 
        owner.AnimState:Hide("ARM_carry") 
        owner.AnimState:Show("ARM_normal") 
		
    end

    local inst = CreateEntity()
    local trans = inst.entity:AddTransform()
    local anim = inst.entity:AddAnimState()
	
    MakeInventoryPhysics(inst)
    
    anim:SetBank("wand")
    anim:SetBuild("steamba")
    anim:PlayAnimation("idle")

	inst:AddTag("sharp")
    
	inst:AddComponent("weapon")
    inst.components.weapon:SetDamage(46)
	
	inst:AddComponent("tool")
    inst.components.tool:SetAction(ACTIONS.HAMMER)
    
	local minimap = inst.entity:AddMiniMapEntity()
	minimap:SetIcon( "steamba.tex" )
     -- inst:AddComponent("finiteuses")
     -- inst.components.finiteuses:SetMaxUses(500)
     -- inst.components.finiteuses:SetUses(500)
	
    -- inst.components.finiteuses:SetOnFinished( onfinished )

    inst:AddComponent("inspectable")      
  
    inst:AddComponent("inventoryitem")
    inst.components.inventoryitem.imagename = "steamba"
    inst.components.inventoryitem.atlasname = "images/inventoryimages/steamba.xml"
    
    inst:AddComponent("equippable")
    inst.components.equippable:SetOnEquip( OnEquip )
    inst.components.equippable:SetOnUnequip( OnUnequip )
	
    return inst
end

return  Prefab("common/inventory/steamba", fn, assets, prefabs)